[pkg-wine-party] [SCM] Debian Wine documentation packaging branch, master, updated. c2627132eff3ed30a9462b81d3b268bd49b34ed5

Ove Kaaven ovek at arcticnet.no
Sun Jun 15 04:56:06 UTC 2008


The following commit has been merged in the master branch:
commit ff05b441106c35e41fc1343c4c9ce3ff28f0e8a6
Author: Ove Kaaven <ovek at arcticnet.no>
Date:   Sun Jun 15 05:43:27 2008 +0200

    Adapt some maintainer scripts from the Wine packaging.

diff --git a/debian/maint/build b/debian/maint/build
new file mode 100755
index 0000000..546f92b
--- /dev/null
+++ b/debian/maint/build
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+git-buildpackage \
+ --git-upstream-tag="wine-doc-%(version)s" \
+ --git-debian-tag="wine-doc-%(version)s" \
+ "$@"
diff --git a/debian/maint/build-final b/debian/maint/build-final
new file mode 100755
index 0000000..5118739
--- /dev/null
+++ b/debian/maint/build-final
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+version=`dpkg-parsechangelog|sed -n 's/Version: \(.*\)/\1/p'`
+# see if the version in the changelog is tagged (already built)
+obj_type="`git-cat-file -t "wine-doc-$version" 2>/dev/null`" || true
+if [ -n "$obj_type" ]
+then
+  # it is, so only grab changes since then
+  last_version="$version"
+else
+  # it's not, this must be the dummy changelog from import-done,
+  # so grab changes since version before that
+  last_version=`dpkg-parsechangelog -o1 -c1|sed -n 's/Version: \(.*\)/\1/p'`
+fi
+# build changelog
+git-dch --release --auto --full --meta \
+ --debian-tag="wine-doc-$last_version" \
+ --git-log="--first-parent"
+# commit changelog
+version=`dpkg-parsechangelog|sed -n 's/Version: \(.*\)/\1/p'`
+git add debian/changelog
+git commit -m "Release $version"
+# build package
+git-buildpackage \
+ --git-upstream-tag="wine-doc-%(version)s" \
+ --git-debian-tag="wine-doc-%(version)s" \
+ --git-tag \
+ "$@"
diff --git a/debian/maint/import-done b/debian/maint/import-done
new file mode 100755
index 0000000..6748caa
--- /dev/null
+++ b/debian/maint/import-done
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+if [ "$1" != "--upstream-version" ]
+then
+  echo "Usage: $0 --upstream-version VERSION"
+  exit 1
+fi
+upstream_version="$2"
+# Create changelog entry, so build tools can find the upstream version
+dch -v "$upstream_version-1" --distribution UNRELEASED --preserve \
+ "UNRELEASED"
+git add debian/changelog
+# Amend the merge commit message
+git commit --amend -m "Documentation snapshot for the Wine $upstream_version release."

-- 
Debian Wine documentation packaging



More information about the pkg-wine-party mailing list